<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>FFDataBase (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FFDataBase (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/FFDataBase.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwpf/model/FFData.html"
               title="class in org.apache.poi.hwpf.model"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hwpf/model/Ffn.html" title="class in org.apache.poi.hwpf.model"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwpf/model/FFDataBase.html" target="_top">Frames</a></li>
        <li><a href="FFDataBase.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.hwpf.model.types.FFDataBaseAbstractType">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li>
                <a href="#methods.inherited.from.class.org.apache.poi.hwpf.model.types.FFDataBaseAbstractType">Method</a>
            </li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li>Method</li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hwpf.model</div>
    <h2 title="Class FFDataBase" class="title">Class FFDataBase</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html"
                       title="class in org.apache.poi.hwpf.model.types">org.apache.poi.hwpf.model.types.FFDataBaseAbstractType</a>
                </li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.hwpf.model.FFDataBase</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                        title="annotation in org.apache.poi.util">@Internal</a>
public class <span class="typeNameLabel">FFDataBase</span>
extends <a href="../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html"
           title="class in org.apache.poi.hwpf.model.types">FFDataBaseAbstractType</a></pre>
                <div class="block">The FFData structure specifies form field data for a text box, check box, or
                    drop-down list box.
                    <p>
                        Class and fields descriptions are quoted from [MS-DOC] -- v20121003 Word
                        (.doc) Binary File Format; Copyright (c) 2012 Microsoft Corporation; Release:
                        October 8, 2012
                    <p>
                        This class is internal. It content or properties may change without notice
                        due to changes in our knowledge of internal Microsoft Word binary structures.</div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Sergey Vladimirov; according to [MS-DOC] -- v20121003 Word (.doc)
                        Binary File Format; Copyright (c) 2012 Microsoft Corporation;
                        Release: October 8, 2012
                    </dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.hwpf.model.types.FFDataBaseAbstractType">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.hwpf.model.types.<a
                                        href="../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html"
                                        title="class in org.apache.poi.hwpf.model.types">FFDataBaseAbstractType</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#field_1_version">field_1_version</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#field_2_bits">field_2_bits</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#field_3_cch">field_3_cch</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#field_4_hps">field_4_hps</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#ITYPE_CHCK">ITYPE_CHCK</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#ITYPE_DROP">ITYPE_DROP</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#ITYPE_TEXT">ITYPE_TEXT</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#ITYPETXT_CALC">ITYPETXT_CALC</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#ITYPETXT_CURDATE">ITYPETXT_CURDATE</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#ITYPETXT_CURTIME">ITYPETXT_CURTIME</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#ITYPETXT_DATE">ITYPETXT_DATE</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#ITYPETXT_NUM">ITYPETXT_NUM</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#ITYPETXT_REG">ITYPETXT_REG</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/model/FFDataBase.html#FFDataBase--">FFDataBase</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/model/FFDataBase.html#FFDataBase-byte:A-int-">FFDataBase</a></span>(byte[]&nbsp;std,
                                    int&nbsp;offset)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hwpf.model.types.FFDataBaseAbstractType">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hwpf.model.types.<a
                                        href="../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html"
                                        title="class in org.apache.poi.hwpf.model.types">FFDataBaseAbstractType</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#equals-java.lang.Object-">equals</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#fillFields-byte:A-int-">fillFields</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#getBits--">getBits</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#getCch--">getCch</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#getHps--">getHps</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#getIRes--">getIRes</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#getIType--">getIType</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#getITypeTxt--">getITypeTxt</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#getSize--">getSize</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#getVersion--">getVersion</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#hashCode--">hashCode</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#isFHasListBox--">isFHasListBox</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#isFOwnHelp--">isFOwnHelp</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#isFOwnStat--">isFOwnStat</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#isFProt--">isFProt</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#isFRecalc--">isFRecalc</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#isISize--">isISize</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#serialize--">serialize</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#serialize-byte:A-int-">serialize</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#setBits-short-">setBits</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#setCch-int-">setCch</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#setFHasListBox-boolean-">setFHasListBox</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#setFOwnHelp-boolean-">setFOwnHelp</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#setFOwnStat-boolean-">setFOwnStat</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#setFProt-boolean-">setFProt</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#setFRecalc-boolean-">setFRecalc</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#setHps-int-">setHps</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#setIRes-byte-">setIRes</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#setISize-boolean-">setISize</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#setIType-byte-">setIType</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#setITypeTxt-byte-">setITypeTxt</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#setVersion-long-">setVersion</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#toString--">toString</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, finalize, getClass, notify, notifyAll, wait, wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="FFDataBase--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>FFDataBase</h4>
                                <pre>public&nbsp;FFDataBase()</pre>
                            </li>
                        </ul>
                        <a name="FFDataBase-byte:A-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>FFDataBase</h4>
                                <pre>public&nbsp;FFDataBase(byte[]&nbsp;std,
                  int&nbsp;offset)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/FFDataBase.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwpf/model/FFData.html"
               title="class in org.apache.poi.hwpf.model"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hwpf/model/Ffn.html" title="class in org.apache.poi.hwpf.model"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwpf/model/FFDataBase.html" target="_top">Frames</a></li>
        <li><a href="FFDataBase.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.hwpf.model.types.FFDataBaseAbstractType">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li>
                <a href="#methods.inherited.from.class.org.apache.poi.hwpf.model.types.FFDataBaseAbstractType">Method</a>
            </li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li>Method</li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
